petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMkl_PardisoSetCntl

Set Mkl_Pardiso parameters

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMkl_PardisoSetCntl(Mat F,PetscInt icntl,PetscInt ival)

Logically Collective on Mat Many br

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() Many br
| icntl | - index of Mkl_Pardiso parameter Many br
| ival | - value of Mkl_Pardiso parameter Many br

### Options Database

-mat_mkl_pardiso_<icntl> <ival> - Many br Many br

### References

Mkl_Pardiso Users' Guide - Many br

### See Also

MatGetFactor()

Level:beginner
Location:src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages